----------------------------------------------------------------------------
--
--   File:    eintraege.ads
--   Purpose: Eintrags ADT (Spezifikation)
--   Author:  Christian Fuss (cfuss@cs.rwth-aachen.de)
--   Comment: Loesung zu Aufgabe 7-1, keine Gewaehr fuer Fehlerfreiheit
--
----------------------------------------------------------------------------

package Eintraege is
    type Eintrag_T is private;

    -- Accessor functions
    function getSchluessel(e : Eintrag_T) return integer;
    procedure setzeSchluessel(e : in out Eintrag_T, s : in integer);
    function getWert(e : Eintrag_T) return string;

    -- Constructor
    function Eintrag(s : integer; w : string) return Eintrag_T;

private
    type Eintrag_T is
        record
            schluessel : integer;
            wert : string (0..127);
        end record;
end Eintraege;
























