----------------------------------------------------------------------------
--
--   File:    verwender.adb
--   Purpose: Verwendung des Listen-ADTs (Body)
--   Author:  Christian Fuss (cfuss@cs.rwth-aachen.de)
--   Comment: Loesung zu Aufgabe 7-1, keine Gewaehr fuer Fehlerfreiheit
--
----------------------------------------------------------------------------


with Eintraege, EinfacheListen;

use Eintraege, EinfacheListen;



package body Verwender is



  procedure do() is

  	el : EinfacheListe_T = new EinfacheListe_T;

  	ex7 : Eintrag_T;

  	ex7b : Eintrag_T;

  	ey8 : Eintrag_T;

  	aktuell : Eintrag_T;

  begin

    -- 1. Ein Element mit den Attributen (x,7) anlegen --

  	ex7 := ( schluessel => 7, wert => "x" );

    -- 2. Dieses Element zweimal in die Kollektion einfgen --

  	einfuegen( el, ex7 );

  	einfuegen( el, ex7 );

    -- 3. Ein Element mit den Attributen (y,8) anlegen --

  	ey8 := ( schluessel => 8, wert => "y" );

    -- 4. Dieses Element in die Kollektion einfgen --

  	einfuegen( el, ey8 );

    -- 5. Ein Element mit den Attributen (x,7) anlegen --

  	ex7b := ( schluessel => 7, wert => "x" );

    -- 6. Dieses Element in die Kollektion einfgen --

  	einfuegen( el, ex7b );

    -- 7. Das erste Element der Liste abfragen und seinen Schluessel auf 9 aendern --

    erstes( el );

  	aktuell := gibAktuelles( el );

  	aktuell.setzeSchluessel( 9 );

    -- 8. Das erste Element der Liste entfernen --

    erstes( el );

    entfernen( el );

  end do;


end Verwender;